Glom::ReportBuilder Class Reference
Collaboration diagram for Glom::ReportBuilder:
[legend]

List of all members.

## Public Member Functions

| ReportBuilder ()
virtual | ~ReportBuilder ()
void | set_document (Document* document)
Glib::ustring | report_build (const FoundSet& found_set, const sharedptr< const Report >& report)
std::string | report_build_and_save (const FoundSet& found_set, const sharedptr< const Report >& report)

## Static Public Member Functions

static sharedptr< Report > | create_standard_list_report (const Document* document, const Glib::ustring& table_name)

## Constructor & Destructor Documentation

Glom::ReportBuilder::ReportBuilder | ( |  | ) |

virtual Glom::ReportBuilder::~ReportBuilder | ( |  | ) | `[virtual]`

## Member Function Documentation

static sharedptr<Report> Glom::ReportBuilder::create_standard_list_report | ( | const Document* | document,
|  | const Glib::ustring & | table_name
| ) |  | `[static]`

Glib::ustring Glom::ReportBuilder::report_build | ( | const FoundSet& | found_set,
|  | const sharedptr< const Report >& | report
| ) |  |

Returns:
  The HTML of the generated report.

std::string Glom::ReportBuilder::report_build_and_save | ( | const FoundSet& | found_set,
|  | const sharedptr< const Report >& | report
| ) |  |

Returns:
  The filepath of a temporary file containing the generated HTML file.

void Glom::ReportBuilder::set_document | ( | Document* | document | ) |

The documentation for this class was generated from the following file:

- libglom/report_builder.h